<?php

add_shortcode( 'general_slider', 'wpdocs_footag_func' );
function wpdocs_footag_func( $attr, $content = null){

extract(
    shortcode_atts(array(

    'id'=>'',
    'loop'=> true,
    'autoplay'=> false,
    'nav'=> true,
    'dot'=> false,
    'animateOut'=> 'slideOutDown',
    ),$attr)
);



ob_start();

$post_id = $id;
$gs_loop = $loop;
$gs_autoplay = $autoplay;
$gs_nav = $nav;
$gs_dot = $dot;
$gs_animateOut = $animateOut;

$slider_post =  get_post( $post_id, ARRAY_A );


if ( $slider_post ) :  

?>
    <div class="general-slider">
        <div id="general_<?php echo $slider_post['post_name'] . rand(1, 9999);?>" class="general-slider-carousel owl-carousel owl-theme slide-nav" data-slider_id="<?php echo $post_id;?>" data-loop="<?php echo $gs_loop;?>" data-autoplay="<?php echo $gs_autoplay;?>" data-nav="<?php echo $gs_nav;?>" data-dot="<?php echo $gs_dot;?>" data-animateout="<?php echo $gs_animateOut;?>" >


<?php

$entries = get_post_meta( $post_id, 'general_slider_group', true );

foreach ( (array) $entries as $key => $entry ) {

    $bg_img = $sub_heading = $main_heading = $slide_desc = '';


    if ( isset( $entry['bg_img'] ) ) {
        $bg_img =  $entry['bg_img'] ;
    }
    if ( isset( $entry['sub_heading'] ) ) {
        $sub_heading = esc_html( $entry['sub_heading'] );
    }
    if ( isset( $entry['main_heading'] ) ) {
        $main_heading = esc_html( $entry['main_heading'] );
    }
    if ( isset( $entry['slide_desc'] ) ) {
        $slide_desc = esc_html( $entry['slide_desc'] );
    }
    if ( isset( $entry['btn_one_text'] ) ) {
        $btn_one_text = esc_html( $entry['btn_one_text'] );
    }
    if ( isset( $entry['btn_one_url'] ) ) {
        $btn_one_url = esc_url( $entry['btn_one_url'] );
    }
   
    if ( isset( $entry['btn_two_text'] ) ) {
        $btn_two_text = esc_html( $entry['btn_two_text'] );
    }
   
    if ( isset( $entry['btn_two_url'] ) ) {
        $btn_two_url = esc_url( $entry['btn_two_url'] );
    }
   
            ?>
    
            <div class="slider-wrapper">
                <div class="image">
                    <img src="<?php echo esc_url( $bg_img ); ?>">
                </div>
                <div class="slider-caption">
                    <div class="slide_content">

                        <h2><?php echo esc_html( $sub_heading ); ?></h2>
                        <h1><?php echo esc_html( $main_heading ); ?></h1>

                        <div class="text center">
                            <?php echo esc_html( $slide_desc ); ?>
                        </div>
                        <div class="link-btn">
                            <a href="<?php echo esc_url( $btn_one_url ); ?>" class="btn"><?php echo esc_html( $btn_one_text ); ?></a>
                            <a href="<?php echo esc_url( $btn_two_url ); ?>" class="btn borderd-btn"><?php echo esc_html( $btn_two_text ); ?></a>
                        </div>

                    </div>                            
                </div>
                <div class="slide-overlay"></div>
            </div>

        <?php

}

?>

        </div>
    </div>


<?php

 else:  ?>

    <p><?php _e( 'Sorry, no posts matched your criteria.' ); ?></p>

<?php endif; ?>

	<?php
	return ob_get_clean();
}

